# DirectoryTree

interface DirectoryTree

A directory with some associated include and exclude patterns.

This interface does not allow mutation. However, the actual implementation may not be immutable.

#### Inheritors

ConfigurableFileTree

## Functions

getDir
Link copied to clipboard
abstract fun getDir(): File
Returns the base directory of this tree.
getPatterns
Link copied to clipboard
abstract fun getPatterns(): PatternSet
Returns the patterns which select the files under the base directory.